Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042177
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2019-11-04 10:382019-12-12 23:01
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revision7ee9626fb50b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042177: Create infrastucture for javascript tests

DescriptionAdd the required infrastructure to use Jest as our new testing framework for frontend code. [1]

Check project page [2] for more details.


[1] https://jestjs.io [^]
[2] http://wiki.openbravo.com/wiki/Projects:JS_Testing_Infrastructure [^]
Steps To ReproduceSee above
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0042104 newplatform Openbravo ERP Add ESLint rules to restrict potentially dangeous js syntax 
depends on defect 0042280 closedjarmendariz Openbravo ERP API Change: Remove TestComponent and ComponentProvider.getTestResources 
related to defect 0044752 closedalostale Retail Modules do not use global scope in jest tests 
causes defect 0042361 newplatform Openbravo ERP Ignore some folders from Jest coverage report 

-  Notes
(0115608)
hgbot (developer)
2019-11-14 16:53

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 5025fe65a2dae467facdd4538d6f578d45f891ab
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Nov 14 16:52:53 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/5025fe65a2dae467facdd4538d6f578d45f891ab [^]

Related to issue 42177: Removed obsolete getTestResources() method

---
M src/org/openbravo/replication/symmetricds/provider/ReplicationModuleComponentProvider.java
---
(0115609)
hgbot (developer)
2019-11-14 16:53

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: 09be34edee2b01c0625fcd35ef445ff00b4be649
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Nov 14 16:51:42 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/09be34edee2b01c0625fcd35ef445ff00b4be649 [^]

Related to issue 42177: Removed obsolete getTestResources() method

---
M src/org/openbravo/client/analytics/AnalyticsComponentProvider.java
---
(0115610)
hgbot (developer)
2019-11-14 16:54

Repository: erp/pmods/org.openbravo.retail.storeserver.synchronization
Changeset: 94be73e4707a654b744798dda22a3e8de80d5556
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Nov 14 16:54:36 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.storeserver.synchronization/rev/94be73e4707a654b744798dda22a3e8de80d5556 [^]

Related to issue 42177: Removed obsolete getTestResources() method

---
M src/org/openbravo/retail/storeserver/synchronization/StoreSynchronizationComponentProvider.java
---
(0115623)
hgbot (developer)
2019-11-15 10:23

Repository: tools/automation/int
Changeset: 4317c58f9573a4dc3754f3b27e9ed9aa16eabe5a
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Nov 12 19:17:20 2019 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/4317c58f9573a4dc3754f3b27e9ed9aa16eabe5a [^]

Related to issue 42177: Removed suite to check removed QUnit tests

---
R src-test/com/openbravo/test/integration/qunit/testscripts/QUnitExecution.java
R src-test/com/openbravo/test/integration/qunit/testscripts/QUnitSuite.java
R src-test/com/openbravo/test/integration/qunit/testscripts/build.xml
---
(0115624)
hgbot (developer)
2019-11-15 10:23

Repository: tools/automation/int
Changeset: 75641de51c1aa928d0921e53b13d899150fe8e6a
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Nov 13 10:10:50 2019 +0100
URL: http://code.openbravo.com/tools/automation/int/rev/75641de51c1aa928d0921e53b13d899150fe8e6a [^]

Related to issue 42177: Removed QUnit tests to a suite that references it

---
M build.xml
M src-test/com/openbravo/test/integration/erp/modules/client/application/testsuites/MNSQSuite.java
M src-test/com/openbravo/test/integration/erp/modules/client/application/testsuites/build.xml
---
(0115646)
hgbot (developer)
2019-11-18 12:10

Repository: erp/devel/pi
Changeset: 7ee9626fb50b7495debe169bf8f00430ec095d43
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Nov 18 12:05:39 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7ee9626fb50b7495debe169bf8f00430ec095d43 [^]

Fixed issue 42177: Added infrastructure for JS Tests

---
M .eslintignore
M .eslintrc.json
M .gitignore
M .hgignore
M .prettierignore
M legal/Licensing.txt
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.htmlwidget/src/org/openbravo/client/htmlwidget/HTMLWidgetComponentProvider.java
M modules/org.openbravo.client.kernel/jsformatter/jsformatter
M modules/org.openbravo.client.kernel/jslint/jslint
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/ComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelConstants.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponentProvider.java
M modules/org.openbravo.client.querylist/src/org/openbravo/client/querylist/QueryListComponentProvider.java
M modules/org.openbravo.client.widgets/src/org/openbravo/client/widgets/WidgetsCollectionComponentProvider.java
M package-lock.json
M package.json
A lerna.json
A modules/org.openbravo.client.application/web-test/ob-utilities-date.test.js
A modules/org.openbravo.client.application/web-test/ob-utilities-number.test.js
A modules/org.openbravo.client.application/web-test/ob-utilities-validUrl.test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-navbar-test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-property-store-test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-ui-test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-date-test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-number-test.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/test/ob-utilities-valid-url-test.js
R modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/TestComponent.java
R modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/ui-test-suite/index.html
R modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/ui-test-suite/qunit/qunit.css
R modules/org.openbravo.client.kernel/web/org.openbravo.client.kernel/ui-test-suite/qunit/qunit.js
R modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/test/ob-myopenbravo-test.js
---
(0115649)
hgbot (developer)
2019-11-18 12:21

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 9ae81e653336a2f354348326cbcffa3bb2e1b6c9
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Nov 18 12:20:17 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9ae81e653336a2f354348326cbcffa3bb2e1b6c9 [^]

Related to issue 42177: Ignoring linting rule to fit function

Fit function is also defined in Jest and this can lead to a false positive
in linting.

---
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0115650)
hgbot (developer)
2019-11-18 12:21

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: cde34c13c33e3eea19b22d3dfe54dadec1b34259
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Nov 18 12:21:29 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/cde34c13c33e3eea19b22d3dfe54dadec1b34259 [^]

Related to issue 42177: Removed obsolete tests

---
R web/org.openbravo.retail.posterminal/js/test/dal.js
R web/org.openbravo.retail.posterminal/js/test/offline-data.js
---
(0116285)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-11-04 10:38 jarmendariz New Issue
2019-11-04 10:38 jarmendariz Assigned To => jarmendariz
2019-11-04 10:38 jarmendariz Modules => Core
2019-11-04 10:38 jarmendariz Triggers an Emergency Pack => No
2019-11-04 10:38 jarmendariz Status new => scheduled
2019-11-04 10:39 jarmendariz Relationship added related to 0042104
2019-11-14 13:12 alostale Relationship added depends on 0042280
2019-11-14 16:53 hgbot Checkin
2019-11-14 16:53 hgbot Note Added: 0115608
2019-11-14 16:53 hgbot Checkin
2019-11-14 16:53 hgbot Note Added: 0115609
2019-11-14 16:54 hgbot Checkin
2019-11-14 16:54 hgbot Note Added: 0115610
2019-11-15 10:23 hgbot Checkin
2019-11-15 10:23 hgbot Note Added: 0115623
2019-11-15 10:23 hgbot Checkin
2019-11-15 10:23 hgbot Note Added: 0115624
2019-11-18 12:10 hgbot Checkin
2019-11-18 12:10 hgbot Note Added: 0115646
2019-11-18 12:10 hgbot Status scheduled => resolved
2019-11-18 12:10 hgbot Resolution open => fixed
2019-11-18 12:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7ee9626fb50b7495debe169bf8f00430ec095d43 [^]
2019-11-18 12:21 hgbot Checkin
2019-11-18 12:21 hgbot Note Added: 0115649
2019-11-18 12:21 hgbot Checkin
2019-11-18 12:21 hgbot Note Added: 0115650
2019-11-18 12:29 jarmendariz Review Assigned To => alostale
2019-11-21 13:22 jarmendariz Relationship added causes 0042361
2019-11-28 09:25 alostale Description Updated View Revisions
2019-11-28 09:25 alostale Status resolved => closed
2019-11-28 09:25 alostale Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116285
2020-08-05 08:10 alostale Relationship added related to 0044752


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker